Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.pki
Class ExtendedKeyStore

    java.lang.Object
      java.security.KeyStore
          cryptix.pki.ExtendedKeyStore

public class ExtendedKeyStore
extends java.security.KeyStore

DOCUMENT ME

Version:
  $Revision: 1.3 $
Author:
  Edwin Woudt

Constructor Summary
`protected` | `ExtendedKeyStore(ExtendedKeyStoreSpi storeSpi, java.security.Provider provider, java.lang.String type)` Create a new ExtendedKeyStore object containing the given SPI object.

Method Summary
`static java.security.KeyStore` | `getInstance(java.lang.String type)` Returns an ExtendedKeyStore that implements the given type.
`static java.security.KeyStore` | `getInstance(java.lang.String type, java.security.Provider provider)` Returns an ExtendedKeyStore from the given provider that implements the given type.
`static java.security.KeyStore` | `getInstance(java.lang.String type, java.lang.String provider)` Returns an ExtendedKeyStore from the given provider that implements the given type.
`KeyBundle` | `getKeyBundle(java.lang.String alias)` Returns the keybundle identified by the given alias.
`boolean` | `isKeyBundleEntry(java.lang.String alias)` Returns if the entry identified by alias is a keybundle entry.
`java.lang.String` | `setKeyBundleEntry(KeyBundle bundle)` Stores the given keybundle in this store.

Methods inherited from class java.security.KeyStore
`aliases, containsAlias, deleteEntry, getCertificate, getCertificateAlias, getCertificateChain, getCreationDate, getDefaultType, getKey, getProvider, getType, isCertificateEntry, isKeyEntry, load, setCertificateEntry, setKeyEntry, setKeyEntry, size, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedKeyStore

    protected ExtendedKeyStore(ExtendedKeyStoreSpi storeSpi,
                               java.security.Provider provider,
                               java.lang.String type)

  Create a new ExtendedKeyStore object containing the given SPI object.

Method Detail

### getInstance

    public static java.security.KeyStore getInstance(java.lang.String type)
                                              throws java.security.KeyStoreException

  Returns an ExtendedKeyStore that implements the given type.

  Throws:
    `java.security.KeyStoreException`

### getInstance

    public static java.security.KeyStore getInstance(java.lang.String type,
                                                     java.lang.String provider)
                                              throws java.security.KeyStoreException

  Returns an ExtendedKeyStore from the given provider that implements the given type.

  Throws:
    `java.security.KeyStoreException`

### getInstance

    public static java.security.KeyStore getInstance(java.lang.String type,
                                                     java.security.Provider provider)
                                              throws java.security.KeyStoreException

  Returns an ExtendedKeyStore from the given provider that implements the given type.

  Throws:
    `java.security.KeyStoreException`

### getKeyBundle

    public final KeyBundle getKeyBundle(java.lang.String alias)
                                 throws java.security.KeyStoreException

  Returns the keybundle identified by the given alias.

  Parameters:
    `alias` - the alias for the entry to return
  Returns:
    the keybundle entry identified by alias or null if the given alias does not identify a keybundle entry
  Throws:
    `java.security.KeyStoreException` - if the keystore has not been initialized (loaded) yet

### isKeyBundleEntry

    public final boolean isKeyBundleEntry(java.lang.String alias)
                                   throws java.security.KeyStoreException

  Returns if the entry identified by alias is a keybundle entry.

  Parameters:
    `alias` - the alias for the entry to check
  Returns:
    true if the entry identified by alias is a keybundle entry, false otherwise
  Throws:
    `java.security.KeyStoreException` - if the keystore has not been initialized (loaded) yet

### setKeyBundleEntry

    public final java.lang.String setKeyBundleEntry(KeyBundle bundle)
                                             throws java.security.KeyStoreException

  Stores the given keybundle in this store.

  Parameters:
    `bundle` - the bundle to store
  Returns:
    the alias under which the bundle is stored
  Throws:
    `java.security.KeyStoreException` - if the keystore has not been initialized (loaded) yet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.